﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define g = Character('Gale', color="#6600CC")
define i = Character('Irene', color="#a33c09")
define c = Character('Conductor', color="#af1e23")
define e = Character('Edgar', color="#f26522")

# Backgrounds
image bg train_exterior = "assets/bg/outside_train.png"
image bg train_aisle = "assets/bg/carriage_BG.png"
image bg train_exit = "assets/bg/emergencyexit_BG.png"
image bg train_end = "assets/bg/end_BG.png"
image bg train_diner = "assets/bg/diner_BG.png"
image bg train_sleeper = "assets/bg/sleeper_BG.png"

# Portraits
image conductor = "assets/char/conductor.png"

image irene happy = "assets/char/irene_happy.png"
image irene angry = "assets/char/irene_angry.png"
image irene stare = "assets/char/irene_stare.png"
image irene concerned = "assets/char/irene_concerned.png"
image irene evasive = "assets/char/irene_evasive.png"
image irene kitty = "assets/char/irene_kitten.png"
image irene intimate = "assets/char/irene_intimate.png"

image edgar happy = "assets/char/gale_happy.png"
image edgar angry = "assets/char/gale_angry.png"
image edgar concerned = "assets/char/gale_concerned.png"
image edgar evasive = "assets/char/gale_evasive.png"
image edgar kitty = "assets/char/gale_cat.png"

init:
    # Colors
    $ blue = "0033FF"
    
    $ longfade = Fade(2, 0, 2)

    # Flags
    $ compartment_visited = False
    $ lounge_visited = False
    $ nap = False
    $ i_met = False
    $ i_fell_asleep_sitting_together = False
    $ i_visited_compartment = False
    $ i_found_out_where_going = False
    $ i_asked_why_shes_here = False
    $ i_decided = False
    $ lounge_saw_man = False
    $ e_met = False
    $ e_asked_where_going = False
    
    # Affection flags
    $ i_affection_sit_with_her = False
    
    # Stance flags
    $ i_stance_sit_with_her = False
    
    # Affection (0-10, starts at 0)
    $ i_affection = 0
    $ e_affection = 0
    
    # Willpower (0-10, starts at 5)
    $ g_willpower = 5
    $ i_willpower = 5
    $ e_willpower = 5
    
    # Stance (0-10, starts at 5; 0 = personal desire, 10 = personal responsibility)
    $ g_stance = 5
    $ i_stance = 5
    $ e_stance = 5
    
    # Environment variables
    $ times_slept = 0
    $ colas_bought = 0

# The game starts here.
label start:
    scene black
    play music "assets/bgm/intro.ogg"
    
    # First line of No Exit
    g "So here we are..."
    
    scene bg train_exterior with fade
    
    "I trudge through the thickening layer of soft, crumbly snow that has been growing on the station platform."
    "The biting cold of the sharp evening breeze stings my cheeks. A recently-knitted scarf safeguards my neck from the cold and my mittens keep my hands warm, but my face is vulnerable against the merciless December wind."
    
    show conductor at left with dissolve
    
    c "Last boarding call for the Mobil Limited!"
    
    "Fearing that I might be left behind, I dash toward the conductor. Behind me, the wheels of my luggage draw lines tracing my path through the snow."
    "I thrust my crumpled ticket into the hand of the conductor. He glances at it, and then at me, and smiles."
    
    c "Hurry aboard, then. You've got quite a trip ahead of you."
        
    scene black with fade    
    
    "I thank the conductor and climb aboard the train. This car is pretty crowded, but it's not the one I'm assigned to. Hopefully, mine is less stuffy."
    
    "I shove my way down the center aisle, weaving between people who are in the process of storing away their luggage. As I go, my suitcase keeps smacking into people, but it's their own fault for standing in the aisle."
    "Finally, I manage to tear through the crowd and make it to the door connecting this car to the one ahead of it."
    
    # TODO add tumble, shake effect
    stop music fadeout 1.0
    
    "As soon as I open the door, the train starts moving. The sudden movement causes me to lurch forward. Caught unprepared, I tumble into the next car and plant my face on the floor of the center aisle."
    
    scene bg train_aisle with fade
    play music "assets/bgm/train.ogg"
    
    g "Thanks for the warning."
    
    "I climb to my feet, expecting to hear someone chuckle at how dumb I must have looked."
    "...But no one laughs, because here's no one else on the car."
    
    g "...?"
    
    "That's strange. Passengers were packed in the last car like sardines. Am I really the only passenger assigned to this car? Then again, it's not that strange now that I think about it. I am riding until the end of the route, so maybe we're being organized by destination."
    
    g "I guess no one else is going to be stuck on here all night like me."
    
    "Oh well. All the better for me. I won't have to deal with kids blaring their music, couples arguing in a language I don't understand, or babies crying all night long. I can just take a seat, relax, and enjoy the ride."
    
    # Print location
    # TODO Generalize
    label aisle:
        scene bg train_aisle with fade
        # Check for game over
        if g_willpower < 4:
            "..."
            "I wonder just how long I've been on this damned train."
            "No matter how many times I rest, no matter how many people I talk to, it seems like I never get any closer to my destination."
            
            scene black with longfade
            $ renpy.wait(2.0)
            
            "I guess it doesn't matter. Maybe it's better this way."
            "I guess all there is left to do is to wait and see where the train takes me."
            
            $ renpy.wait(2.0)
            
            jump credits            
            
        "Currently: The aisle"
        if i_decided == True:
            "It doesn't look like anyone else is in this car. I could go into {color=#0033FF}my compartment{/color} or check out the door to the {color=#0033FF}next car{/color}."
        elif i_met == True:
            "Irene is sitting toward the back of the car. I could {color=#0033FF}talk to her{/color}, take a nap in {color=#0033FF}my compartment{/color} or check out the door to the {color=#0033FF}next car{/color}."
        # TODO Remove the note about being surprised about a girl being here after the first time
        elif nap == True:
            "...?"
            "There's a {color=#0033FF}girl{/color} sitting in an aisle seat near the back of the car. She must have boarded while I was asleep."
        else:
            "It doesn't look like anyone else is in this car. I could take a nap in {color=#0033FF}my compartment{/color} or check out the door to the {color=#0033FF}next car{/color}."
        "What should I do?"
    
        if i_decided == True:
            menu:
                "Go to my compartment":
                    play sound "assets/se/door_close.ogg"
                    jump compartment
                    
                "Go to the next car":
                    jump lounge
                    
                "Look out the window":
                    call window from _call_aisle_window_1
                    jump aisle
        elif i_met == True:
            menu:
                "Go to my compartment":
                    play sound "assets/se/door_close.ogg"
                    jump compartment
                
                "Go to the next car":
                    jump lounge
                    
                "Talk to Irene":
                    jump i_talk_main
                
                "Look out the window":
                    call window from _call_aisle_window_3
                    jump aisle
        else:
            menu:
                "Go to my compartment":
                    play sound "assets/se/door_close.ogg"
                    jump compartment
                
                "Go to the next car":
                    jump lounge
                    
                "Talk to the girl" if nap:
                    jump aisle_i_talk
                
                "Look out the window":
                    call window from _call_aisle_window_2
                    jump aisle
    
    label aisle_i_talk:
        "I approach the new passenger and decide to strike up conversation."
        "As I approach, she notices me and smiles."
        show irene happy with dissolve
        
        i "Hey there. So I guess I'm not the only one on this car."
        g "When did you board? I must've slept through your stop."
        i "Not too long ago. Where've you been hiding?"
        
        "I point her toward the compartment where I had been sleeping. Although at first I had been relieved to have a car all to myself, I had been starting to have second thoughts about how great it really was."
        "As much as I like my alone time, I don't think I could handle spending an entire day on a train with no one to talk to."
        "Besides, maybe talking with her will help pass the time and keep my mind off...well, keep my mind off things."
        
        i "Ahh, so you've been sleeping all day, huh? Planning to stay up all night?"
        
        menu:
            # If this is your first decision, you either A) gain Irene affection or B) gain willpower
            "You know it!":
                i "Ooh, planning to have a party in your private quarters?"
                i "Well, a party's no fun without any guests."
                g "Is there someone you think I should invite?"
                i "There are pretty slim pickings around here."
                
                $ i_affection += 1      # She likes you more
                
                if g_stance > 5:         # If you're leaning toward committing, lose willpower
                    $ g_willpower -= 1
                else:
                    $ g_willpower += 1  # If you're neutral or leaning toward not committing, then gain willpower and move closer to not committing
                    $ g_stance -= 1
                    
                i "By the way, the name's Irene. Nice to meet you!"
                g "Irene, huh? That's a pretty name. I'm Gale."
                i "Ooh, Gale. Very mysterious! I like that."
                    
                jump i_talk_main
            
            "Erm, not really...":
                i "Don't look so spooked. I didn't mean anything by it."
                
                if g_stance >= 5:         # If you're neutral or leaning toward committing, gain willpower
                    $ g_willpower += 1
                
                i "By the way, the name's Irene. Nice to meet you!"
                g "I'm Gale."
                i "Ooh, Gale. Very mysterious! I like that."
                
                jump i_talk_main
                
    label i_talk_main:
        $ i_met = True
        "What should I say to her?"
        
        menu:
            "Do you have the time?":
                jump i_talk_time
                
            "Where are you headed?":
                jump i_talk_ask_her_destination
                
            "Mind if I sit with you?":
                jump i_talk_sit_with_her
                
            "I'll see you around.":
                i "Don't be a stranger."
                
                jump aisle
                
    label i_talk_time:
        g "Hey, do you have the time?"
        i "Oh, sure. Let's see..."
        "..."
        "..."
        "..."
        show irene kitty with dissolve
        i "...I guess I lost my watch. Bummer."
        show irene happy with dissolve
        g "I see. I was just wondering what time of day it is so I know how much time I have to kill."
        g "When did you board?"
        i "Not too long ago. To be honest, I kind of dozed off after I sat down, so I don't know how long it's been."
        
        jump i_talk_main
        
    label i_talk_ask_her_destination:
        show irene evasive
        
        i "Oh, nowhere special. Just going home for the holidays."
        
        "She averts her eyes and turns away from me when she answers. I get the impression that she {color=#0033FF}doesn't feel comfortable{/color} talking about it."
        
        jump i_talk_main
        
    label i_talk_sit_with_her:
        i "Be my guest!"
        
        if i_fell_asleep_sitting_together == False:
            "She removes her bag from the window seat and pulls her legs up to allow me to pass by. I take the empty window seat."
            
            # She likes you more
            if i_affection_sit_with_her == False:
                $ i_affection += 1
                $ i_affection_sit_with_her = True
                
            i "So, where are you headed?"
            g "I'm going to visit someone. I moved across the country, so we don't get to see each other very often."
            i "Is it family?"
            g "Not exactly."
            
            "I look away. She laughs teasingly and tugs on my arm."
            
            i "Someone special, then?"
            g "Yeah. Someone I haven't seen in a very long time."
            
            show irene evasive
            
            i "Is that so..."
            
            "A wistful look passes over her face and she lapses into silence."
            "..."
            
            hide irene with dissolve
            
            "Not wanting to be the first person to break the silence, nor wanting to acknowledge that it exists, I turn my head and rest it against the window. I gaze through the cold, foggy glass and watch as formless shapes rush by in the depths of the fog."
            
            "..."
            "..."
            "..."
            
            scene bg train_aisle with fade
            
            $ times_slept += 1
            "Suddenly, my eyes snap open. I don't know when I fell asleep."
            "I find myself leaning against the window. My temple is numb from being pressed against the cold glass for so long."
            "...?"
            "There's also something attached to my arm."
            "It appears to be Irene."
            "She still hasn't let go of my arm. Both of her arms are wrapped around mine and her head is resting on my shoulder. The rhythmic rising and falling of her chest and the gentle, carefree expression on her face makes it clear that she's fast asleep."
            "Even though I'm sure it was an innocent mistake, I don't know how I feel about this. It's not right. I have a partner."
            
            $ i_fell_asleep_sitting_together = True
            
            menu:
                "It's a harmless mistake.":
                    "I guess I'll leave her be for now. It's not hurting anything."
                    "Besides, she looks like of cute sleeping like that."
                    
                    # She likes you more
                    $ i_affection += 1
                    
                    # -1 willpower if you're leaning toward committing
                    if g_stance > 5:
                        $ g_willpower -= 1
                        
                    "After a while, she starts to stir."
                    i "Mmm..."
                    i "You make a good pillow, you know."
                    g "I hope I'm more comfortable than the window."
                    
                    "There must be a mark on my head from where it was pressing against the window, because she glances at my forehead and giggles."
                    
                    g "I'm going to go stretch my legs."
                    
                    "My neck and legs are really stiff. Just how long was I asleep? It feels like I was out for a while, but it's the same dull gray outside."
                    
                    jump aisle
                    
                "Try to get up without waking her.":
                    "I carefully try to pull my arm away from her."
                    "Irene's eyes slide open and she looks up at me."
                    
                    # +1 willpower if you're neutral or leaning toward committing
                    if g_stance >= 5:
                        $ g_willpower += 1
                    i "Going somewhere?"
                    
                    menu:
                        "I need to use the bathroom.":
                            # -1 willpower if you're neutral or leaning toward committing
                            if g_stance >= 5:
                                $ g_willpower -= 1
                                
                            i "Well, don't let me keep you."
                            
                            jump aisle
                            
                        "Your arm...":
                            i "Oh, sorry! Must've happened when I fell asleep."
                            i "You make a good pillow, you know."
                            
                            # +1 willpower if you're leaning toward committing
                            if g_stance > 5:
                                $ g_willpower += 1
                                
                            # She likes you more for playing hard to get
                            $ i_affection += 1
                            
                            jump aisle
                            
        else:
            if i_stance_sit_with_her == False:
                # Since you know you risk an incident like before happening again, this moves your stance away from committing
                $ g_stance -= 1
                $ i_stance_sit_with_her = True
            
            i "Do you travel a lot?"
            show irene happy with dissolve
            g "Not really. I can't afford to. I do take the train out east a couple times a year, though."
            
            "..."
            
            "We continue making small talk for an hour or so, but we eventually lapse into silence."
            "Feeling restless, I decide to go elsewhere."
            
            jump aisle
            
    label i_talk_compartment:        
        if i_decided == True:
            g "How long is it to your stop?"
            show irene happy with dissolve
            i "I can hardly tell how long I've been aboard, let alone what time it is."
            i "...But it feels like I should have arrived already. I wonder if the train has been delayed..."
            
            "She's right. Something is definitely {color=#0033FF}weird{/color} about this train. No matter how long I wait, it never feels like I'm getting any closer to my destination."
            
            jump compartment            
        else:        
            "What should I say to her?"
            menu:
                "I'll see you around.":
                    i "You know where to find me."
                    
                    jump aisle
                    
                "What happened between you and your mother?" if i_found_out_where_going:
                    show irene evasive with dissolve
                    i "..."
                    i "My mother and I don't exactly get along."
                    i "When I was growing up, she was more concerned with feeding her addiction than feeding me."
                    i "As soon as I turned 18, I bolted and I promised myself I'd never look back."
                    
                    g "But you changed your mind?"
                    
                    show irene angry with dissolve
                    
                    i "Well, circumstances are different now."
                    i "Her bad habits have finally caught up to her. She can't even take care of herself anymore."
                    i "Now she's locked up in a hospital, waiting to die."
                    
                    g "..."
                    
                    "Her voice sounds angry, but the underlying pain behind her words is palpable."
                    "As hard as she tries to make it sound like she doesn't care, I'm not fooled."
                    
                    #g "But you're still going to see her, aren't you?"
                    i "I don't owe her a damned thing. She never cared for me, so why should I care for her?"
                    g "But you're still going to see her, aren't you?"
                    
                    show irene concerned with dissolve
                    
                    i "..."
                    i "I don't think I could live with myself if I didn't go to see her again before she died."
                    i "But at the same time, I don't want to see her. I don't want to talk to her. I hate her and I'll never forgive her."
                    
                    show irene angry with dissolve
                    
                    i "Why are we talking about this again? Can't you see I'm trying to forget about it?"
                    
                    menu:
                        "Sorry. It's none of my business.":
                            show irene stare with dissolve
                            
                            i "You're damned right it's not."
                            
                            show irene happy with dissolve
                            
                            i "Now, let's talk about something else!"
                            
                            "..."
                            "Maybe she's right."
                            "There's no use worrying about our problems now. As long as we're here, we don't have to worry about anything."
                            # -will
                            $ g_willpower -= 1
                            $ i_willpower -= 1
                            
                            # +aff
                            $ i_affection += 1
                            
                            jump i_talk_compartment
                        
                        "You can't keep running away.":
                            g "You have to make a decision sooner or later. You're just prolonging your suffering by running away."
                            i "..."
                            
                            "...Maybe I should take my own advice."
                            "As long as I put off deciding, I can keep drifting along. But as long as I remain drifting, then I can never move forward."
                            
                            show irene evasive with dissolve
                            
                            i "...You're right."
                            i "I have to make up my mind eventually. I can't stay on this train forever."
                            
                            "I decide to leave her be for now. It seems like she has a lot to think about."
                            
                            $ i_decided = True
                            
                            # +will
                            $ g_willpower += 1
                            $ i_willpower += 1
                            
                            jump aisle
                    
                "Where are you headed?" if i_found_out_where_going == False:
                    show irene evasive with dissolve
                    $ i_found_out_where_going = True
                    
                    i "Nowhere important."
                    g "I told you where I'm going. Fair is fair, right?"
                    
                    "Irene sighs and shifts about uncomfortably."
                    
                    i "Okay, okay. I'm going to visit my mother."
                    g "You were doing a pretty good job of dodging the question if that's all there is to it."
                    
                    show irene angry with dissolve
                    
                    i "Look, it's none of your business, okay? My mother and I don't really get along."
                    
                    "The sudden change in her demeaner throws me off. I feel like I've accidentally ventured into a sensitive topic. She's clearly not comfortable talking about it."
                    
                    i "What about you?"
                    g "Huh?"
                    i "You seem awfully gloomy for someone going to visit their partner." 
                    g "No, I'm not gloomy at all..."
                    g "It's just been a long time since we've seen each other. That's all."
                    
                    show irene evasive with dissolve
                    
                    i "I don't understand how you people do it."
                    g "Do what?"
                    i "Long distance relationships. What's the point if you can't be with each other?"
                    g "We don't have to be next to each other to be with each other."
                    i "How can you spend your whole life alone and miserable, just so that you can have a few days of happiness once or twice a year? It doesn't make sense."
                    g "...Maybe it doesn't make sense. But I'm happy nonetheless."
                    i "It sounds like self-punishment to me. You should live your life to the fullest every day, or else it's just a waste."
                    g "Does that mean you're not in a relationship?"
                    
                    show irene happy with dissolve
                    
                    i "Of course not! Why would I want to anchor myself down like that? It's more fun to live each day like a new adventure."
                    i "You never know who or what you might find."
                    
                    jump i_talk_compartment
                    
                "Why are you in here?" if i_asked_why_shes_here == False:
                    $ i_asked_why_shes_here = True
                    
                    i "Isn't it obvious? It's boring out there and I wanted company."
                    
                    "Irene shivers and folds her arms."
                    
                    i "It's kind of cold in here, isn't it? Why don't we stop sitting on the blanket and warm up a bit?"
                    
                    menu:
                        "Now that you mention it...":
                            i "That's the spirit!"
                            
                            "I pull the blanket back and climb under it. Irene draws up near and leans against me under the blanket."
                            
                            # Irene likes you more
                            $ i_affection += 1
                            
                            # Lean toward not committing
                            # $ g_stance -= 1
                            # Maybe not; you need this choice to get the AFF needed to get her to open up
                            # Don't push the player in one direction if they need to in order to advance
                            
                            # Lose willpower if you lean on committing, gain it if neutral or flaking
                            if g_stance > 5:
                                $ g_willpower -= 1
                            else:
                                $ g_willpower += 1
                                
                            i "You know what else is nice about trains?"
                            i "You're surrounded by strangers who you'll never see again. You're totally anonymous and you can do whatever you want without worrying about the consequences."
                            
                            menu:
                                "You're right.":
                                    i "Of course I am."
                                    i "So, let's stop worrying about things that don't matter."
                                    
                                    "She places her hand over mine and closes the distance between us."
                                    
                                    show irene intimate with dissolve
                                    jump irene_end
                                    
                                "That's not true!":
                                    # Lean toward committing
                                    $ g_stance += 1
                                    # Free willpower if you're leaning toward committing
                                    if g_stance > 5:
                                        $ g_willpower += 1
                                    # Not only that, but she gets some willpower, too
                                    $ i_willpower += 1
                                    
                                    g "No matter who might know what you've done, you've always got to consider the consequences."
                                    i "But if no one knows what you've done, then it doesn't matter what happened as long as no one's hurt."
                                    i "If I kissed you right now, then the only people in the world who would know it are right here in this room."
                                    i "Your pretty partner would never know the difference. It's totally harmless."
                                    g "But I would know."
                                    
                                    show irene angry with dissolve
                                    
                                    i "If you hurt your loved one by running your mouth, then you would only have yourself to blame."
                                    g "But I have a responsibility to be honest."
                                    g "I..."
                                    g "I wouldn't betray that trust."
                                    
                                    show irene stare with dissolve
                                    
                                    i "And what if you found out that they had betrayed your trust?"
                                    i "What if they were fooling around behind your back? What if they were never worth trusting in the first place?"
                                    
                                    menu:
                                        "I would still be loyal.":
                                            g "Even still, it doesn't help anyone to retaliate."
                                            g "Sometimes, people make mistakes. And sometimes they'll never apologize or admit to it. But two wrongs don't make a right."
                                            
                                            show irene evasive with dissolve
                                            
                                            i "..."
                                            i "Yeah... Maybe you're right."
                                            i "Sorry, I kind of flew off the handle there."
                                            
                                            show irene happy with dissolve
                                            
                                            i "You're a good person, you know that?"
                                            
                                            # And she likes you more
                                            $ i_affection += 1
                                            
                                            # +Will for both, +toward committing for both
                                            $ g_willpower += 1
                                            $ i_willpower += 1
                                            $ g_stance += 1
                                            $ i_stance += 1
                                            
                                            jump i_talk_compartment
                                            
                                        "Then they get what they deserve.":
                                            g "Someone who ignores their responsibility toward others loses the right to complain when others do the same to them."
                                            show irene evasive with dissolve
                                            
                                            i "..."
                                            i "Yeah... Maybe you're right."
                                            i "Sorry, I kind of flew off the handle there."
                                            
                                            # +Will for both, +toward flaking for both
                                            $ g_willpower += 1
                                            $ i_willpower += 1
                                            $ g_stance -= 1
                                            $ i_stance -= 1
                                            
                                            jump i_talk_compartment
                                    
                        "I feel fine.":
                            i "Oh, you're such a killjoy!"
                            
                            # Lean toward committing
                            $ g_stance += 1
                            
                            # Gain willpower if you lean on committing, lose it if neutral or flaking
                            if g_stance > 5:
                                $ g_willpower += 1
                            else:
                                $ g_willpower -= 1
                                
                                jump i_talk_compartment
    
    label compartment:
        scene bg train_sleeper with fade
        if i_decided:
            "There are {color=#0033FF}two beds{/color} in here with my luggage resting on one of them and {color=#0033FF}Irene{/color} on the other. There's also a sliding {color=#0033FF}door{/color} leading out into the aisle, but it doesn't want to shut all the way."
            "What should I do?"
            
            menu:
                "Go out into the aisle":
                    play sound "assets/se/door_open.ogg"
                    jump aisle
            
                "Talk to Irene":
                    jump i_talk_compartment
                    
                "Look out the window":
                    call window from _call_compartment_window_3
                    jump compartment
                
        elif i_affection > 1 and i_visited_compartment == False:
            $ i_visited_compartment = True
            
            "I slide open the door to my compartment and plop down on my bed."
            "It can't be too long before the train arrives at my stop."
            "When that time comes, I'll finally be reunited with you..."
            "..."
            
            "The door to my compartment slides open and someone peers inside."
            
            show irene happy
            
            i "You look mighty gloomy. Seems you could use some company."
            g "Maybe so."
            
            "Irene steps inside my compartment. Noticing that my luggage is presently occupying the other bed, she takes a seat on mine, next to me."
            
            i "Well, whatever's bothering you, let it go for now."
            g "...I can't."
            i "Do you know what the best part about being on a train is?"
            i "For as long as you stay aboard, you're cut off from the world. Nothing you do matters. You're free to let go of your problems and let it all pass you by."
            g "...Maybe you're right."
            
            "...Yeah. As long as I'm here, I don't need to worry about anything."
            "I'll worry about it when I arrive."
            
            jump i_talk_compartment
       
        elif compartment_visited == False:
            "I slide open the door to my compartment. It's not very big on the inside, but it's cozy. There are two {color=#0033FF}beds{/color}, but since it doesn't seem that anyone else is in this car, I won't feel bad about tossing my luggage onto the second one."
            "I hop onto my bed and sprawl out. With a sigh of relief at the long-awaited opportunity to relax, I stare up at the idly-rocking ceiling."
            "Now that the stress of catching the train has subsided, my mind has been freed to think about other things. Like my destination, and how long it's going to take to get there, and who's going to be waiting for me when I do."
            "..."
            "The distance between us is unreal. It's a distance so vast that I can only find the chance to cross it during the holidays."
            "The train hurtles ever onward down the tracks. Each time I breathe, the distance between us has become that much smaller. As I lay here, I wonder how many breaths I must take until we're together."
            
            "...But no matter how much I try to will away the distance, there's nothing I can do to accelerate the flow of time. My painful awareness of its passage makes me all the more cognizant of how torturously slow it is."
            "The more I yearn, the more strongly I wish to be by the side of the person most important to me, and the more aware I become of how far away I still am."
            
            g "Give it a rest."
            
            "From the way I anxiously kick my feet back and forth and roll around on the bed, you'd think I'm a middle schooler lovesick over their first crush. Normally, I'm good about not letting the distance between us bother me, but when the time finally comes for us to be together, I fall to pieces."
            
            g "I'm totally hopeless."
            
            "This time is a little different, though."
            "This time, the anticipation is accompanied by something {color=#0033FF}else{/color}, a vague sense of apprehension that has been burrowing away inside my heart, escaping my notice by digging tunnels through my soul."
            "Each time I take notice, the fleeting feeling vanishes, leaving a fresh hole in its wake."
            "This time, I'm sure I've caught it."
            "...But just like that, it's gone again."
            "..."
            "Well, there's no use worrying about it."
            "I guess I'll find something to do to {color=#0033FF}pass the time{/color}."
        
        "Currently: My compartment"
        if compartment_visited == True:
            "There are {color=#0033FF}two beds{/color} in here with my luggage resting on one of them. There's also a sliding {color=#0033FF}door{/color} leading out into the aisle, but it doesn't want to shut all the way. Naturally, since it's my compartment, there's no one else in here."
            
        $ compartment_visited = True
        "What should I do?"
        
        menu:
            "Go out into the aisle":
                play sound "assets/se/door_open.ogg"
                jump aisle
            
            "Take a nap":
                jump compartment_nap
                
            "Look out the window":
                call window from _call_compartment_window_1
                jump compartment
                
        label compartment_nap:
            if nap == True:
                "I'm not very tired, but I don't feel like doing anything else. I decide to take a nap to pass the time."
                "I close my eyes and the rhythmic rocking of the train soon escorts me into a light slumber."
                "..."
                "Soon enough, my eyes blink open. It seems that I'm awake again."                
            else:
                "I should take advantage of the fact that this car is empty and get some sleep. Who knows how long it'll be before someone boards carrying a crying baby?"
                "I lie down on my bed and tug the blanket over myself. Plagued with thoughts of what awaits me at my destination, it's hard to convince my mind to settle down and allow me to rest."
                "I close my eyes and soon find myself drifting off to sleep."
                "..."
                "Before I know it, my eyes are open again. A grayish light streams in through the window, alerting me that it's no longer nighttime."
                "I feel a little sluggish, a sure sign that I've overslept. I'm surprised that nothing woke me up earlier; normally, I'm a pretty light sleeper."
                "Now that I'm thinking about it, it still seems to be pretty {color=#0033FF}quiet{/color} out in the aisle."
                "I take my phone out of my pocket to check the time."
                "..."
                "It's no good. The battery is dead."
                $ nap = True
            
            $ times_slept += 1
            jump compartment
        
    label lounge:
        scene bg train_diner with fade
        
        if e_met == True:
            "Currently: Lounge car"
            "There's a couple of {color=#0033FF}vending machines{/color} toward the front and {color=#0033FF}Edgar{/color} is reading a newspaper."
        
        elif lounge_saw_man == True:
            "Currently: Lounge car"
            "There's a couple of {color=#0033FF}vending machines{/color} toward the front and a {color=#0033FF}man{/color} reading a newspaper."
            
        elif nap == True:            
            "...?"
            "There's a {color=#0033FF}man{/color} sitting at one of the booths reading a newspaper. When did he get here?"
            "Currently: Lounge car"
            
            $ lounge_saw_man = True
            
        elif lounge_visited == False:
            "I open the door dividing this car from the next and step through the vestibule."
            "Instead of individual seats, this car is lined with booths and tables. There's also a couple of {color=#0033FF}vending machines{/color} toward the front and a {color=#0033FF}door{/color} at the far end. This must be the {color=#0033FF}lounge car{/color}. There doesn't seem to be anyone else here."
            "Currently: Lounge car"
    
        else:
            "Currently: Lounge car"
            "There's a couple of {color=#0033FF}vending machines{/color} toward the front and a {color=#0033FF}door{/color} at the far end, but there doesn't seem to be anyone else here."
            
        $ lounge_visited = True
        "What should I do?"
        
        if e_met == False:
            menu:
                "Talk to the man" if nap:
                    jump e_talk
                
                "Go to the previous car":
                    jump aisle
                    
                "Buy a soda from the vending machine":
                    jump lounge_soda
                    
                "Go to the door":
                    jump exit
        else:
            menu:
                "Talk to Edgar":
                    if e_willpower != 5:
                        "He looks busy. I think I'll leave him be."
                        jump lounge
                    else:
                        jump e_talk_main
                
                "Go to the previous car":
                    jump aisle
                    
                "Buy a soda from the vending machine":
                    jump lounge_soda
                    
                "Go to the door":
                    jump exit
                
    label e_talk:
        "I walk up to the man, but he doesn't seem to notice me. He's totally engrossed in his reading."
        
        show edgar evasive with dissolve
        
        g "Um, hello?"
        e "Huh? Oh, so was someone else on here."
        
        show edgar happy with dissolve
        
        g "Sorry, I must not have noticed you boarding. I must have been sleeping longer than I thought."
        e "How long have you been on the train?"
        g "Longer than I'd like."
        g "By the way, the name's Gale."
        e "Edgar. Nice to meet you."
        
        $ e_met = True
        
        jump e_talk_main
        
    label e_talk_main:
        "What should I say to him?"
        
        menu:
            "Do you have the time?":
                show edgar happy with dissolve
                
                e "Yeah, let's see here."
                e "..."
                e "The hell? Seems like my watch stopped."
                g "How long have you been on the train?"
                show edgar kitty with dissolve
                e "Ehh, it's been a while. I lost track of time while I was reading."
                show edgar happy with dissolve
                e "Isn't there a clock somewhere?"
                g "I haven't been able to find one. I just want to know how long it'll be before I can get off."
                
                "Why does no one have the time? I'm starting to get the feeling that something weird is going on."
                
                jump e_talk_main
                
            "What's the trial about?" if e_asked_where_going:
                    show edgar evasive with dissolve
                    
                    "He sighs and takes a drink from his mug of coffee."
                    
                    show edgar concerned with dissolve
                    
                    e "Old pal of mine got wrapped up in some ugly business. Owed some folks a lot of money."
                    e "The short of it is that they kept pushing him and he kept pushing back. One of them was bound to snap eventually."
                    e "He gunned the lot of them down and tried to ditch town."
                    
                    g "I'm sorry to hear that."
                    g "It sounds like a pretty cut-and-dry case, though. He did it, didn't he?"
                    
                    e "It isn't ever cut-and-dry. It's my job to make sure of it."
                    e "There's some circumstantial evidence that could get him off on a technicality, but... Ah, what the hell does it matter?"
                    
                    g "You know he did it, but you're still going to try to get him off?"
                    
                    show edgar angry with dissolve
                    
                    e "Do you think I have a choice? That's what my job is all about."
                    e "Even if my client tells me with a straight face that he drowned his kids in a bathtub, I have to fight as hard as I can in front of a courtroom to try to prove him innocent."
                    e "It's my job to try to keep those freaks on the street and out of prison."
                    
                    show edgar concerned with dissolve
                    
                    e "...Not to mention, I owe the guy."
                    e "We've been friends since grade school, and he's saved my ass more times than I can count. Turning my back on him now would be a shitty way to repay him."
                    e "I can't say no."
                    
                    g "But if you do it, you'd be letting a killer run free."
                    e "It'd be better if that bastard never would have called me. If I never knew about it, then I wouldn't be stuck like this."
                    
                    menu:
                        "It's your duty to see that justice is done.":
                            g "Whether he's your friend or not, isn't it your job to do the right thing?"
                            e "I can't turn my back on a friend who needs my help. Especially not him."
                            g "He might be grateful for your help, but would you be able to forgive yourself for letting him get away with it?"
                            e "..."
                            e "Yeah... You're probably right."
                            e "I've let enough crooks run free already. I don't need another one on my conscience, friend or not."
                            
                            # +will, +toward committing
                            $ g_willpower += 2
                            $ e_willpower += 2
                            $ g_stance += 2
                            $ e_stance += 2
                            
                            e "Why don't you leave me be for a bit? I need some time to think."
                            e "You should do the same."
                            
                            jump lounge
                            
                        "Don't let what you feel you have to do get in the way of what you want to do.":
                            g "You might have an obligation, but you're not a slave to it. You're a human being. Make up your own mind."
                            e "..."
                            e "Yeah... You're probably right."
                            e "Maybe I'm in the wrong line of work after all."
                            
                            # +will, +toward flaking
                            $ g_willpower += 2
                            $ e_willpower += 2
                            $ g_stance -= 2
                            $ e_stance -= 2
                            
                            e "Why don't you leave me be for a bit? I need some time to think."
                            e "You should do the same."
                            
                            jump lounge
                            
                        "That must be hard.":
                            e "Yeah... I suppose I'll figure something out."
                            e "Why don't you get going? I want to finish reading this before my stop."
                            
                            # -will
                            $ g_willpower -= 1
                            $ e_willpower -= 1
                            
                            jump lounge
                    
                    jump e_talk_main
                
            "Where are you headed?":
                $ e_asked_where_going = True
                
                show edgar happy with dissolve
                e "Eh. I'm on a trip for work."
                g "What do you do for a living?"
                e "I'm a defense attorney. It's my job to fight for everyone, the innocent and the sickos alike."
                g "So you're going to meet with your client?"
                
                show edgar evasive with dissolve
                
                e "Something like that."
                
                "I get the feeling that it's not something he wants to talk about. It must be a rough case."
                
                e "How about you? Where are you going? Seeing your family for the holidays?"
                g "Not exactly. I'm going to visit someone special."
                e "Why the long face?"
                g "Pardon?"
                e "If you were going to meet someone you care about, then I'd expect you to be a little more excited."
                g "I am excited..."
                e "You look like someone going to a funeral. You didn't kill anyone, did you?"
                g "Wha--?! Of course not!"
                
                show edgar happy with dissolve
                
                e "Hahahah! You're an easy mark."
                e "Tell me something."
                e "If this person is so special to you, then why do you live so far apart?"
                g "That's the way it worked out. I can't really help it."
                g "..."
                g "Well, actually..."
                
                show edgar concerned with dissolve
                
                e "Yeah? Don't keep me in suspense."
                g "My circumstances might be about to change."
                g "I think that while I'm visiting, I'm going to be proposed to."
                
                show edgar happy with dissolve
                
                e "Well, that solves that problem. You two are going to be moving in together, I take it?"
                g "..."
                
                show edgar concerned with dissolve
                
                e "Eh? Why the long face?"
                g "...The truth is, I'm still not sure how I'm going to answer."
                
                show edgar angry with dissolve
                
                e "Why the hell not? Weren't you the one who was just whining about how far apart you live?"
                g "If we get married, then I'll have to move across the country and leave behind my job, my friends, and my family."
                g "...I don't think I'm ready to settle down. What happens if it doesn't work out?"
                e "Then say that! How can you expect your relationship to work out if you don't communicate with each other?"
                g "I'm afraid of what will happen if I say no..."
                g "We were both really excited about it. I don't want to be a disappointment."
                g "...But more than that, I'm afraid that if I hesitate, then it'll ruin what we have."
                g "I'm happy the way things are now, but no matter how I answer, it's all going to change."
                
                show edgar concerned with dissolve
                
                e "Sometimes, you've just got to make hard choices."
                e "You can't stay indecisive forever. The longer you wait, the harder the choice will be to make."
                g "What should I say?"
                e "You know I can't answer that for you. Do some thinking and you'll find the right choice for you."
                
                jump e_talk_main
                
            "I'll see you around.":
                show edgar happy with dissolve
                
                e "Don't get lost."
                
                jump lounge
                
    label lounge_soda:
        play sound "assets/se/soda.ogg"
        "I stick a couple quarters into the vending machine and buy a cola."
        "There's a bit of a tinny aftertaste, but the drink is refreshing."
        
        jump lounge
    
    label window:
        if nap == False:
            "I can't see very far out the window, since it's dark and kind of foggy out. In the far off distance, I can make out the hazy glow of city lights, flickering in and out of existence as thick curtains of snow fly past."
            "I won't be arriving until {color=#0033FF}sundown tomorrow{/color}. There's still a long way to go until we're reunited."
        else:
            "A thick, rolling fog stretched out for as far as the eye can see. I can make out the distant shapes of hills, but the only thing I see clearly is the endless blanket of snow that continues to fall from the overcast sky."
            "It appears to be daytime, but the gray haze makes it hard to get a clear grasp on what time of day it is."
        
        return
    
    label exit:
        scene bg train_exit with fade
        
        "This is where I'll be disembarking when the train pulls into my station, but we're not there yet. There's also an {color=#0033FF}emergency brake{/color} next to the door."
        "Currently: Exit"
        
        menu:
            "Go back to the lounge":
                jump lounge
                
            "Pull the emergency brake" if g_willpower > 7:
                jump escape
    label escape:
        play sound "assets/se/brake.ogg"
        stop music fadeout 1.0
        play music "assets/bgm/escape.ogg"
        
        "..."
        "I've waited in indecison for long enough."
        "As long as I continue to fight off responsibility and try to run from my problems, I'll stay here, frozen in time, unable to ever move forward with my life."
        "That's right."
        "This train will continue to hurtle on through the snow for all eternity, moving faster than I can imagine but never moving one centimeter closer to my destination."
        "The only one who can take me there is me."
        "Without another moment of hesitation, I pull the emergency brake and the train starts to come screeching to a stop."
        
        if i_willpower > 5:
            "No doubt hearing the commotion, Irene runs in from the car over."
            
            show irene concerned at left with dissolve
            i "Are we finally here?"
            g "Sorry, but I've had enough waiting around. I could get there faster by walking."
            i "It's going to be damned cold out there. But you can count me in. I could stand to stretch my legs."
            g "So, you've made up your mind?"
            
            show irene happy at left with dissolve
            
            i "Yeah. It's going to suck, but I know what I've gotta do."
            
        if e_willpower > 5:
            "Soon enough, Edgar throws down his newspaper and hurries over."
            
            show edgar concerned at right with dissolve
            e "What's going on? We're not there yet, are we?"
            g "At this rate, I don't think we'll ever get there. Sorry, but I'm done sitting around."
            
            show edgar happy at right with dissolve
            e "Hahah! That's the spirit."
            e "I guess that means you made up your mind, eh?"
            g "Yeah, and I can't wait any longer. How about you? Are you coming, too?"
            e "Ah, hell. Might as well. Ain't doing nobody a lick of good while I'm here."
            
        "At last, the train comes to a stop."
        "My eager hands throw the door open, exposing me to the cold winter wind."
        
        scene bg train_end with fade
        
        "I can't see more than a few feet in front of me and the snow is coming down harder than ever, but I've made up my mind."
        $ renpy.pause(2.0)
        # Last line of No Exit
        g "Well, let's get on with it..."
        "I jump down from the train and I sink into the snow up to my knees. Without wasting a minute, I run off into the snowy horizon."
        
        $ renpy.pause(2.0)
        
        scene black with longfade
        
        $ renpy.pause(2.0)
        
        jump credits
        
    label irene_end:
        stop music fadeout 1.0        
        
        "She's right."
        "There's no use worrying about anything now."
        "I don't have to decide anything until the train comes to a stop."
        "So, until then..."
        
        scene black with longfade
        
        $ renpy.pause(2.0)
        play music "assets/bgm/intro.ogg"
        jump credits
        
    label credits:
        "The Vestibule"
        "A microgame by Kate Holden and Bishop Myers"
        "Ludum Dare 22 Jam entry"
        "Engine: Ren'py"
        "Music: Yusaku Kishigami"
        "Art: Kate Holden"
        "Story/Programming: Bishop Myers"        
        "Thanks for playing!"
        
        stop music fadeout 3.0
        $renpy.pause(5.0)
    return